﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Northwind.Model;

namespace Northwind.View
{
    public partial class Default : System.Web.UI.Page
    {
        private object RetrieveGridDataToAnonymousType()
        {
            using (NorthwindModel dbContext = new NorthwindModel())
            {
                var myGridResult = (from a in dbContext.Products
                                    select new
                                    {
                                        Name = a.ProductName,
                                        UnitPrice = a.UnitPrice,
                                        Category = a.Category.CategoryName,
                                        Description = a.Category.Description
                                    }).ToList();
                return myGridResult;
            }
        }

        private void AttachDatasourceToAnonymousTypeGrid()
        {
            this.AnonymousTypeGrid.DataSource = this.RetrieveGridDataToAnonymousType();
            this.AnonymousTypeGrid.DataBind();
        }
    }
}